Bug 477994 - "phantom" composited frame of QT4 windows when the program has a notification-area icon (Amarok)
"phantom" composited frame of QT4 windows when the program has a notification...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 21:17 EST by Gian Paolo Mureddu
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 16:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture showing a "phantom" composited window frame, where the frame is composited, but no window is shown. (342.30 KB, image/png)
2008-12-26 21:17 EST, Gian Paolo Mureddu
no flags Details

  None (edit)
Description Gian Paolo Mureddu 2008-12-26 21:17:09 EST
Created attachment 327876 [details]
Picture showing a "phantom" composited window frame, where the frame is composited, but no window is shown.

Description of problem:
Some QT4/KDE4 applications that make use of the notification-area (such as Amarok), while used in GNOME with Metacity as the composite-manger, and composite enabled, there is a "composited frame" with the drop shadow of an "invisible window" (screenshot)

Version-Release number of selected component (if applicable):
metacity-2.24.0-2.fc10.x86_64
nodoka-metacity-theme-0.3.90-2.fc10.noarch
qt-x11-4.4.3-6.fc10.x86_64
qt-4.4.3-6.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start a GNOME session, install gconf-editor.
2. Enable Metacity as the compositor.
3. Start a KDE4 application that makes use of the notification-area (like Amarok)
  
Actual results:
There is an area that a window would take up which is drawn composited, though there is no window frame (see screenshot)

Expected results:
The desktop to remain clean when a window frame is not meant to be shown (not composited).
Comment 1 Owen Taylor 2009-11-16 16:43:27 EST
We don't support the metacity compositing manager; there's no UI to enable it and we don't see it as being an interesting long-term direction for compositing; if it still happens with F12 you might want to file a bug against Metacity upstream.

Note You need to log in before you can comment on or make changes to this bug.